epp_DomainCheckRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.domain.epp_DomainCheckRsp class

### org.openrtk.idl.epp0705.domain

# Class epp_DomainCheckRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.domain.epp_DomainCheckRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainCheckRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the domain check response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPDomainCheck and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/domain/epp_DomainCheckRsp.java,v 1.2 2003/09/10 21:29:59 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:59 $

See Also:
  `EPPDomainCheck`, `epp_DomainCheckReq`

  ## Field Summary
  `epp_CheckResult[]` | `m_results` The generic check response array.
  `epp_Response` | `m_rsp` The common and generic response element.

  ## Constructor Summary
  `epp_DomainCheckRsp()` Empty constructor
  `epp_DomainCheckRsp(epp_Response _m_rsp, epp_CheckResult[] _m_results)` The constructor with initializing variables.

  ## Method Summary
  `epp_CheckResult[]` | `getResults()` Accessor method for the domain check results
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `void` | `setResults(epp_CheckResult[] value)` Accessor method for the domain check results
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_results

    public epp_CheckResult[] m_results

> The generic check response array.
> See Also:
>   `getResults()`, `EPPXMLBase.getCheckResultFor(epp_CheckResult[],String)`

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

## Constructor Details

### epp_DomainCheckRsp

    public epp_DomainCheckRsp()

> Empty constructor

### epp_DomainCheckRsp

    public epp_DomainCheckRsp(epp_Response _m_rsp,
                              epp_CheckResult[] _m_results)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_results` - The array of domain check results

## Method Details

### getResults

    public epp_CheckResult[] getResults()

> Accessor method for the domain check results
> Returns:
>   The value for the domain check results array
> See Also:
>   `m_results`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### setResults

    public void setResults(epp_CheckResult[] value)

> Accessor method for the domain check results
> Parameters:
>   `value` - The new value for the domain check results array
> See Also:
>   `m_results`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS